#!/bin/sh
# File:        squeak-headless.sh (For the Google AI challenge)
# Author:      Michael van der Gulik, based on previous work.
# Description: Run Squeak, taking a .st file, import and then execute it.

APP=`dirname "$0"`
OS=`uname -s`
CPU=`uname -m`
IMAGE="$APP/Contents/Resources/Squeak4.2-10966.image"

if [ "$CPU" = x86_64 ] ; then
        CPU=i686
	# We don't want to put stuff on stdout, because the Google AI tools reads it.
        #echo Running 32-bit Squeak on a 64-bit System. Hope the 32-bit runtime libraries are installed ... 
fi

VM="$APP/Contents/$OS-$CPU/bin/squeak"

exec "$VM" -headless "$IMAGE" file:///`pwd`/$1

